<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>
	<xsl:param name="message"/>
	<xsl:param name="pageTitle">Host</xsl:param>
	<xsl:include href="namedtemplates.xsl"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:value-of select="$web_title"/>
				</title>
				<xsl:call-template name="common_imports"/>
			</head>
			<body onload="window.defaultStatus=''; StartFloat();">
				<div id="container">
					<span id="AdFloater">
						<div id="logo">
							<img src="../images/dtalogo.gif"/>
						</div>
						<div id="tabs">
							<xsl:call-template name="nav"/>
						</div>
						<form name="loginForm" action="host.py" method="post">
							<input type="hidden" name="action" value="login"/>
							<div id="login">
								<center>
								Password:<br/>
									<input type="password" name="admin_pw" size="15"/>
									<br/>
									<input type="image" name="submit" src="../images/loginsm.gif" onclick=" this.form.submit() " align="top"/>
								</center>
							</div>
						</form>
						<div id="servermessagereadonly">
							<xsl:call-template name="SystemStatus"/>
						</div>
						<div id="reloadreadonly">
							<a id="reloadAdminLink" href="host.py">Reload</a>
						</div>
						<div id="adteclogoreadonly">
							<img src="../images/nulladteclogo.gif"/>
						</div>
					</span>
					<div id="serveralert">
						<xsl:if test="$message != ''">
							<xsl:attribute name="style">border-style:solid;border-width:1px;border-color:#ffffff;background-color: #D18661;</xsl:attribute>
							<xsl:choose>
								<xsl:when test="$message = 'refresh_alert'">
									<xsl:call-template name="refresh_alert"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$message"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</div>
				</div>
				<div id="displayresults">
					<h1 class="display">Host</h1>
					<xsl:apply-templates/>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="user_data">
		<div class="row">
			<div class="generalcell">
				<b>Unit Name:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="unit_name"/>
			</div>
		</div>
	</xsl:template>
		<xsl:template match="system/interface">
		<div class="row">
			<div class="generalcell">
				<b>MAC Address (<xsl:value-of select="@device"/>):</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="mac_addr"/>
			</div>
		</div>
	</xsl:template>
	<xsl:template match="network/interface">
		<!--div class="row">
			<div class="generalcell">
				<b>DHCP:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="use_dhcp"/>
			</div>
		</div-->
		<div class="row">
			<div class="generalcell">
				<b>IP Address (<xsl:value-of select="@device"/>):</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="inet_addr"/>
			</div>
		</div>
		<div class="row">
			<div class="generalcell">
				<b>Subnet Mask  (<xsl:value-of select="@device"/>):</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="mask"/>
			</div>
		</div>
		<xsl:if test="@device = 'eth0' and gateway">
			<div class="row">
				<div class="generalcell">
					<b>Default Gateway:</b>
				</div>
				<div class="largegeneralcell">
					<xsl:value-of select="gateway"/>
				</div>
			</div>
		</xsl:if>
	</xsl:template>
	<xsl:template match="network/gateway">
		<div class="row">
			<div class="generalcell">
				<b>Default Gateway:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="."/>
			</div>
		</div>
	</xsl:template>
	<xsl:template match="network/ip_logging">
		<div class="row">
			<div class="generalcell">
				<b>IP Logging Host:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="remote_host"/>
			</div>
		</div>
	</xsl:template>
	<xsl:template match="text()">
	</xsl:template>
</xsl:stylesheet>
